"""===============================================================
با نگرش به اینکه اگر جمله nام یک تصاعد را SN و جمله اول آن را S1 و
قدر نسبت تصاعد را D بنامیم جمله Nام تصاعد حسابی  از رابطه زیر
محاسبه می شود. منطق برنامه ای را طراحی کنید که
تعداد تصاعدهای حسابی مورد نظر را در ورودی دریافت کند
سپس با دریافت N به عنوان شماره جمله و s1 به عنوان جمله اول و D به
عنوان قدرنسبت تصاعد حسابی جمله nام هر تصاعد حسابی را محاسبه و چاپ کند

SN = S1 + (N-1)D
==============================================================="""

numbers = int(input("Please enter TOTAL: "))
count = 1
while count <= numbers:
    print("\nFor ",count," sequence","\n","="*20)
    n = int(input("Please enter N: "))
    s1 = int(input("Please enter S1: "))
    d = int(input("Please enter D: "))
    sn = s1 + (n-1)*d
    print("-"*20,"\nFor this Sequence: ",sn)
    count+=1